The "List Inventory API allows the user to retrieve a paginated list of inventory items. Use this endpoint to fetch details for multiple items in the inventory based on the provided query parameters.
The "List Inventory API allows the user to retrieve a paginated list of inventory items. Use this endpoint to fetch details for multiple items in the inventory based on the provided query parameters.
http
GET https://services.leadconnectorhq.com/products/inventory
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
altId
string
Yes
6578278e879ad2646715ba9c
Account Id or Agency Id
altType
string
Yes
search
string
No
Product Name
Search string for Variant Search
Responses
200 - Successful response
inventory (object[], required): List of inventory items
_id (string, required): The unique identifier for the price Example: 6241712be68f7a98102ba272
name (string, required): Name of the price/variant Example: Medium T-shirt
availableQuantity (number, required): Available quantity in inventory Example: 50
sku (string, required): SKU for the product variant Example: TSHIRT-MED-001
allowOutOfStockPurchases (boolean, required): Whether out of stock purchases are allowed Example: False
product (string, required): Product ID this price belongs to Example: 6241712be68f7a98102ba270
updatedAt (string, required): Last update timestamp Example: 2023-12-12T09:27:42.355Z